X2Go Bug report logs - #347
tempfile command not know / available (?) in Fedora

version graph

Package: x2goserver-xsession; Maintainer for x2goserver-xsession is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goserver-xsession is src:x2goserver.

Reported by: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Date: Mon, 25 Nov 2013 20:33:01 UTC

Severity: normal

Tags: pending

Found in version 4.0.1.8

Fixed in version 4.0.0.8

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#347; Package x2goserver-xsession. (Mon, 25 Nov 2013 20:33:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Mon, 25 Nov 2013 20:33:01 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: submit@bugs.x2go.org
Subject: tempfile command not know / available (?) in Fedora
Date: Mon, 25 Nov 2013 20:31:57 +0000
[Message part 1 (text/plain, inline)]
Package: x2goserver-xsession
Version: 4.0.1.8

Hi Orion,

on IRC we just discovered that  x2goserver-xsession/etc/Xsession uses  
a command named tempfile. On Debian, the binary is in package  
debianutils which makes it appear like a Debianism. However, I found  
evidence of the file being known to other Unices [1].

What would be the Fedora way of ,,tempfile''? Shall we change that  
upstream? Or can you provide that binary somehow in Fedora?

Mike

[1] http://nixdoc.net/man-pages/linux/man1/tempfile.1.html

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#347; Package x2goserver-xsession. (Mon, 25 Nov 2013 21:18:01 GMT) (full text, mbox, link).


Acknowledgement sent to Orion Poplawski <orion@cora.nwra.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Mon, 25 Nov 2013 21:18:01 GMT) (full text, mbox, link).


Message #10 received at 347@bugs.x2go.org (full text, mbox, reply):

From: Orion Poplawski <orion@cora.nwra.com>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, 347@bugs.x2go.org, x2go-dev@lists.berlios.de
Subject: Re: [X2Go-Dev] Bug#347: tempfile command not know / available (?) in Fedora
Date: Mon, 25 Nov 2013 13:44:20 -0700
On 11/25/2013 01:31 PM, Mike Gabriel wrote:
> Package: x2goserver-xsession
> Version: 4.0.1.8
>
> Hi Orion,
>
> on IRC we just discovered that  x2goserver-xsession/etc/Xsession uses a
> command named tempfile. On Debian, the binary is in package debianutils which
> makes it appear like a Debianism. However, I found evidence of the file being
> known to other Unices [1].
>
> What would be the Fedora way of ,,tempfile''? Shall we change that upstream?
> Or can you provide that binary somehow in Fedora?
>
> Mike
>
> [1] http://nixdoc.net/man-pages/linux/man1/tempfile.1.html
>

Fedora uses "mktemp".  Does Debian have that?

-- 
Orion Poplawski
Technical Manager                     303-415-9701 x222
NWRA, Boulder/CoRA Office             FAX: 303-415-9702
3380 Mitchell Lane                       orion@nwra.com
Boulder, CO 80301                   http://www.nwra.com


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#347; Package x2goserver-xsession. (Sat, 30 Nov 2013 21:33:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Sat, 30 Nov 2013 21:33:01 GMT) (full text, mbox, link).


Message #15 received at 347@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 347-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 347@bugs.x2go.org
Subject: X2Go issue (in src:x2goserver) has been marked as pending for release
Date: Sat, 30 Nov 2013 22:20:35 +0100 (CET)
tag #347 pending
fixed #347 4.0.0.8
thanks

Hello,

X2Go issue #347 (src:x2goserver) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=cb5fd26

The issue will most likely be fixed in src:x2goserver (4.0.0.8).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit cb5fd26dadd864dde1887dbecd6dd6293f086fb3
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Sat Nov 30 22:19:56 2013 +0100

    Use mktemp instead of tempfile (because Fedora does not have the tempfile binary). (Fixes: #347).

diff --git a/debian/changelog b/debian/changelog
index 64ff601..55d5a60 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,6 +1,7 @@
 x2goserver (4.0.0.8-0x2go1) UNRELEASED; urgency=low
 
-  * Continue development for LTS Baikal branch of X2Go Server...
+  * Use mktemp instead of tempfile (because Fedora does not have the tempfile
+    binary). (Fixes: #347).
 
  -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Thu, 28 Nov 2013 16:14:32 +0100
 


Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Sat, 30 Nov 2013 21:33:02 GMT) (full text, mbox, link).


Marked as fixed in versions 4.0.0.8. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Sat, 30 Nov 2013 21:33:02 GMT) (full text, mbox, link).


Message sent on to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug#347. (Sat, 30 Nov 2013 21:33:02 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#347; Package x2goserver-xsession. (Mon, 06 Jan 2014 17:30:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Mon, 06 Jan 2014 17:30:02 GMT) (full text, mbox, link).


Message #27 received at 347@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 347-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 347@bugs.x2go.org
Subject: X2Go issue (in src:x2goserver) has been marked as closed
Date: Mon, 6 Jan 2014 18:28:53 +0100 (CET)
close #347
thanks

Hello,

we are very hopeful that X2Go issue #347 reported by you
has been resolved in the new release (4.0.0.8) of the
X2Go source project »src:x2goserver«.

You can view the complete changelog entry of src:x2goserver (4.0.0.8)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2goserver.

    http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=6b2da3a6dced741db618d0cd6580bda396758f15;hp=f10d9a7e17da3a7be2c5d169a7aa01d633f7065e

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2goserver.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2goserver
Version: 4.0.0.8-0x2go1
Status: RELEASE
Date: Fri, 03 Jan 2014 11:30:54 +0100
Fixes: 347 356
Changes: 
 x2goserver (4.0.0.8-0x2go1) RELEASED; urgency=low
 .
   * New upstream version (4.0.0.8):
     - Use mktemp instead of tempfile (because Fedora does not have the tempfile
       binary). (Fixes: #347).
     - Replace makepasswd by pwgen (because Fedora does not have makepasswd).
     - Improve parsing of the NX session.log file where unexpected extra logging
       takes place during session suspension/resumption. Thanks to Gerald Richter
       for finding this!!! (Fixes: #356).
     - Avoid one argument system calls and backticks in x2gocleansessions and
       x2golistsessions_root.
     - Avoid one argument system calls and backticks in x2golistsessions.
     - Avoid one argument system calls and backticks in x2goprint.
     - Avoid backticks in x2goshowblocks, move script to <prefix>/sbin/ as it is
       for being run with root privileges.
     - Sanitize session ID string, port numbers, display numbers and agent PID
       numbers before writing them as strings to the session DB.


Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Mon, 06 Jan 2014 17:30:04 GMT) (full text, mbox, link).


Notification sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug acknowledged by developer. (Mon, 06 Jan 2014 17:30:04 GMT) (full text, mbox, link).


Message sent on to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug#347. (Mon, 06 Jan 2014 17:30:06 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Tue, 04 Feb 2014 06:24:01 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Mon Nov 18 08:22:48 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.